Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.util
Class StringUtils

    java.lang.Object
      org.apache.fop.afp.util.StringUtils

    public final class StringUtils

extends java.lang.Object

Library of utility methods useful in dealing with strings.

Method Summary
`static java.lang.String` | `lpad(java.lang.String input, char padding, int length)` Padds the string to the left with the given character for the specified length.
`static java.lang.String` | `rpad(java.lang.String input, char padding, int length)` Padds the string to the right with the given character for the specified length.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### lpad

    public static java.lang.String lpad(java.lang.String input,
                                        char padding,
                                        int length)

  Padds the string to the left with the given character for the specified length.

  Parameters:
    `input` - The input string.
    `padding` - The char used for padding.
    `length` - The length of the new string.
  Returns:
    The padded string.

### rpad

    public static java.lang.String rpad(java.lang.String input,
                                        char padding,
                                        int length)

  Padds the string to the right with the given character for the specified length.

  Parameters:
    `input` - The input string.
    `padding` - The char used for padding.
    `length` - The length of the new string.
  Returns:
    The padded string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.